Update firewall
curl --request PUT \
--url https://console.gmicloud.ai/api/v1/firewalls/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inboundRules": [
{
"portRange": {
"max": 32768,
"min": 32768
},
"remoteIpPrefix": "237.84.2.178/24",
"description": "<string>"
}
],
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://console.gmicloud.ai/api/v1/firewalls/{id}"
payload = {
"inboundRules": [
{
"portRange": {
"max": 32768,
"min": 32768
},
"remoteIpPrefix": "237.84.2.178/24",
"description": "<string>"
}
],
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inboundRules: [
{
portRange: {max: 32768, min: 32768},
remoteIpPrefix: '237.84.2.178/24',
description: '<string>'
}
],
name: '<string>',
description: '<string>'
})
};
fetch('https://console.gmicloud.ai/api/v1/firewalls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inboundRules": [
{
"portRange": {
"max": 32768,
"min": 32768
},
"remoteIpPrefix": "237.84.2.178/24",
"description": "<string>"
}
],
"name": "<string>",
"idc": "<string>",
"description": "<string>",
"assoInstances": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assoContainers": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPreset": true,
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}firewalls
Update firewall
PUT
/
v1
/
firewalls
/
{id}
Update firewall
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
successful
- Option 1
- Option 2
Show child attributes
Show child attributes
Maximum string length:
255Maximum string length:
50Pattern:
^[a-zA-Z0-9._-]+$Maximum string length:
255Associated container instance IDs
Whether this is a preset firewall (cannot be deleted or have rules modified)
Available options:
active, building, error ⌘I